Loading...
Searching...
No Matches
mdds::detail::ref_pair< T1, T2 > Struct Template Reference

## Public Types

using | first_type = typename std::add_lvalue_reference<T1>::type
using | second_type = typename std::add_lvalue_reference<T2>::type

## Public Member Functions

| ref_pair (first_type _first, second_type _second)
| ref_pair (const ref_pair &other)=default
bool | operator== (const std::pair< typename std::decay< T1 >::type, typename std::decay< T2 >::type > &other) const
bool | operator!= (const std::pair< typename std::decay< T1 >::type, typename std::decay< T2 >::type > &other) const
bool | operator== (const ref_pair &other) const
bool | operator!= (const ref_pair &other) const
ref_pair * | operator-> ()

## Public Attributes

first_type | first
second_type | second